summaryrefslogtreecommitdiffstats
path: root/Doc/tools
diff options
context:
space:
mode:
authorFred Drake <fdrake@acm.org>2001-04-13 05:13:55 (GMT)
committerFred Drake <fdrake@acm.org>2001-04-13 05:13:55 (GMT)
commite1f3ed6b5854208cea73de1fad1d9bd9552c8059 (patch)
tree961b15db7ae368a4190b5ab98c270897bdd23545 /Doc/tools
parent3de33697ef091237a66eec47439195754fd567c3 (diff)
downloadcpython-e1f3ed6b5854208cea73de1fad1d9bd9552c8059.zip
cpython-e1f3ed6b5854208cea73de1fad1d9bd9552c8059.tar.gz
cpython-e1f3ed6b5854208cea73de1fad1d9bd9552c8059.tar.bz2
Update the helper scripts that push development docs to SourceForge;
this version avoids having to build a separate authenticated connection to push the update-docs.sh script to SF.
Diffstat (limited to 'Doc/tools')
-rwxr-xr-xDoc/tools/push-docs.sh6
-rwxr-xr-xDoc/tools/update-docs.sh4
2 files changed, 5 insertions, 5 deletions
diff --git a/Doc/tools/push-docs.sh b/Doc/tools/push-docs.sh
index 0703d11..c227bcf 100755
--- a/Doc/tools/push-docs.sh
+++ b/Doc/tools/push-docs.sh
@@ -28,9 +28,9 @@ cd ..
make --no-print-directory || exit $?
make --no-print-directory bziphtml || exit $?
RELEASE=`grep '^RELEASE=' Makefile | sed 's|RELEASE=||'`
-scp "html-$RELEASE.tar.bz2" $TARGET/python-docs-update.tar.bz2 || exit $?
-scp tools/update-docs.sh $TARGET/update-docs.sh || exit $?
-ssh python.sourceforge.net 'tmp/update-docs.sh && rm tmp/update-docs.sh' || exit $?
+PACKAGE="html-$RELEASE.tar.bz2"
+scp "$PACKAGE" tools/update-docs.sh $TARGET/ || exit $?
+ssh python.sourceforge.net tmp/update-docs.sh $PACKAGE '&&' rm tmp/update-docs.sh || exit $?
Mail -s '[development doc updates]' $ADDRESSES <<EOF
The development version of the documentation has been updated:
diff --git a/Doc/tools/update-docs.sh b/Doc/tools/update-docs.sh
index b3621d5..79652ac 100755
--- a/Doc/tools/update-docs.sh
+++ b/Doc/tools/update-docs.sh
@@ -11,9 +11,9 @@ if [ -z "$HOME" ] ; then
export HOME
fi
-UPDATES=$HOME/tmp/python-docs-update.tar.bz2
+UPDATES="$HOME/tmp/$1"
-cd /home/groups/python/htdocs
+cd /home/groups/python/htdocs || exit $?
rm -rf devel-docs || exit $?
mkdir devel-docs || exit $?
cd devel-docs || exit $?